/* Sylpheed Pro full-text search plugin
 * Copyright (C) 2007-2009 Sylpheed Development Team
 * Copyright (C) 2009 SRA OSS, Inc. Japan
 */

#ifndef __COMMON_H__
#define __COMMON_H__

#define DEFAULT_PORT	25432
#define DEFAULT_USER	"xsylpgftsuser"

/* Error codes */
#define SP_ERROR_DBCONN		1
#define SP_ERROR_DBQUERY	2
#define SP_ERROR_INITDB		3
#define SP_ERROR_CREATEDB	4
#define SP_ERROR_STARTDB	5
#define SP_ERROR_DB		6
#define SP_ERROR_LICENSE_NG	7
#define SP_ERROR_ARG		8

typedef struct _AppConfig	AppConfig;

struct _AppConfig
{
	gchar *dbname;
	gchar *hostname;
	gushort port;
	gchar *user;
	gchar *pass;

	gchar *dbpath;

	gint res_limit;

	gboolean auto_update;
	gchar *exclude_list;

	gboolean enable_searcher;

	gchar **exclude_list_v;
};

gint read_config(AppConfig *config);
gint write_config(AppConfig *config);
gchar *read_license_key();
gint write_license_key(const gchar *key);
void update_exclude_list(AppConfig *config);

#endif /* __COMMON_H__ */
